Comment * -------------------------------------------------------------
          vStart is insertion position in the Rich Edit Control.
          vQty is quantity of chars to color (vColor ).         

          Example: for negative numbers color the value red

                   Refresh_OFF
                   For nRow = 1 to 250
                       invoke SendMessage, hRichEd, EM_LINEINDEX, nRow, 0
                       .if eax <> -1
                           For nCol = 0 to 10
                               .if array(nRow, nCol) < 0
                                   invoke Color_Page, eax, 15, Red
                               .endif
                           Next nCol
                       .endif
                   Next nRow
                   Refresh_ON
----------------------------------------------------------------------*
Color_Page proc vStart :DWORD, vQty :DWORD, vColor :DWORD
    LOCAL cf :CHARFORMAT
    LOCAL numb_Chars :CHARRANGE
    ; ---------------------
    call ClearLocVars
    ; ---------------------
    pushad
        mov cf.cbSize, sizeof CHARFORMAT
        mov cf.dwMask, CFM_COLOR
        mov cf.dwEffects, NULL
        mov cf.yOffset, NULL
        mov cf.bCharSet, NULL
        mov cf.bPitchAndFamily, NULL
        mov cf.szFaceName, NULL
        mov eax, vStart
        mov numb_Chars.cpMin, eax
        add eax, vQty
        mov numb_Chars.cpMax, eax
        invoke SendMessage, hRichEd, EM_EXSETSEL, 0, ADDR numb_Chars
        invoke SendMessage, hRichEd, EM_GETCHARFORMAT, 1, ADDR cf
        mov eax, vColor
        mov cf.crTextColor, eax
        invoke SendMessage, hRichEd, EM_SETCHARFORMAT, SCF_WORD or SCF_SELECTION, ADDR cf
        xor eax, eax
        mov numb_Chars.cpMin, eax
        mov numb_Chars.cpMax, eax
        invoke SendMessage, hRichEd, EM_EXSETSEL, 0, ADDR numb_Chars
    popad
    ret
Color_Page endp
; 
